[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: OpenSSL license incompatibility

On Tue, Jul 30, 2002 at 03:26:56PM -0700, Daniel Schepler wrote:
> reinstated by the authors of the code involved.)  So I'd prefer to
> approach them with something like "here's a patch which allows KDE to
> use gnutls instead of libssl, which resolves license
> incompatibilities."  I'd suspect that if I just told them "you need to
> fix this problem" they'd either ignore or flame me.
> Unless I hear a reasonable explanation which convinces me that KDE's
> use of libssl doesn't violate either the OpenSSL license or the GPL, I
> do plan to write such a patch -- unless somebody else more familiar
> with openssl and gnutls steps up to write it.  But in the meantime, I
> think Debian as a whole does care about honoring the licenses of the
> software it distributes, even if other distributions sometimes ignore
> them.

Is gnutls lgpl yet? Otherwise, I am pretty certain KDE upstream will
refuse a gnutls patch. If it is lgpl it shouldn't be too hard to
convince them to take the patch.


Reply to: